﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=8.3
@EndOfDesignText@
'Custom View class 
#Event:Click
#DesignerProperty: Key: Text, DisplayName: Text, FieldType: String, DefaultValue: blabel, Description: text for button
#DesignerProperty: Key: Color, DisplayName: Color, FieldType: Color, DefaultValue: #FF00E866, Description: Setting the default value to Null means that a nullable field will be displayed.
#DesignerProperty: Key: NoDefaultColor, DisplayName: NoDefaultColor, FieldType: String, DefaultValue: N, Description: Setting for canelling default back ground color.
#DesignerProperty: Key: FontSize, DisplayName: FontSize, FieldType: Int, DefaultValue: 14, Description: Setting for text font size.
#DesignerProperty: Key: NoDefaultFontSize, DisplayName: NoDefaultFontSize, FieldType: String, DefaultValue: N, Description: Setting for canelling default text font size
#DesignerProperty: Key: TextColor, DisplayName: TextColor, FieldType: Color, DefaultValue: #FF00E866, Description: Setting for text font size.
#DesignerProperty: Key: NoDefaultTextColor, DisplayName: NoDefaultTextColor, FieldType: String, DefaultValue: N, Description: Setting for canelling default text font size

Sub Class_Globals
	Private mEventName As String 'ignore
	Private mCallBack As Object 'ignore
	Private Lbl As Label
	Private mBase As Panel
	Public mHeight As String
	Private mtext As String
End Sub

Public Sub Initialize (Callback As Object, EventName As String)
	mEventName = EventName
	mCallBack = Callback
		
End Sub

Public Sub DesignerCreateView (Base As Panel, Lbl1 As Label, Props As Map)
	'mBase = Base
	Base.Color = Colors.Transparent 
	mHeight = Base.Height
	
	Lbl.Initialize("Label1")
	
	mBase.Initialize("mBase")
	Base.AddView(mBase,0,0,Base.Width,mHeight)
	mBase.AddView(Lbl,0,0,Base.Width,mHeight)
		
	If Props.Get("NoDefaultColor")="N" Then
		mBase.Color = Colors.Transparent
	Else
		mBase.Color = Props.Get("Color")
	End If
	
	If Props.Get("NoDefaultFontSize")="N" Then
		Lbl.TextSize = 14
	Else
		Lbl.TextSize = Props.Get("FontSize")
	End If
	
	If Props.Get("NoDefaultTextColor")="N" Then
		Lbl.TextColor = Colors.Black
	Else
		Lbl.TextColor = Props.Get("TextColor")
	End If

	If mtext = "" Then
		Lbl.Text = Props.Get("Text")
	Else
		Lbl.Text = mtext
	End If
	
	
	'mtext = Lbl.Text
End Sub

Public Sub GetBase As Panel
	Return mBase
End Sub

Private Sub mBase_Click
'	Log(mCallBack)
'	Log(mEventName)
'	Log(mBase.Parent)
	If SubExists(mCallBack,mEventName &  "_Click") Then
		CallSub(mCallBack,mEventName & "_Click")
	End If
	If SubExists(mCallBack,mBase.Parent & "_ItemClick") Then
		CallSub(mCallBack,mBase.Parent & "_ItemClick")
	End If
End Sub

Public Sub setText(Value As String)
	Lbl.Text = Value
End Sub

Public Sub getText As String
	Return mtext 
End Sub
